Subject: Re: [PATCH 0/3] minor build fixes

From: Nicholas Piggin <[email-masked]>
Date: Thu, 24 Nov 2016 12:04:36 +1100

On Thu, 24 Nov 2016 09:33:20 +1030
Alan Modra <[email-masked]> wrote:

> On Thu, Nov 24, 2016 at 12:02:06AM +1100, Nicholas Piggin wrote:
> > I was building BookE and big endian with a little endian cross
> > compiler and it stopped working. My BookS BE tests must have been
> > building using the ELFv2 ABI. After this, the build sometimes still
> > strangely fails with dot symbols in syscall table unable to be found,
> > but that's looking like it may be a linker bug (Alan is going to take
> > a look).  
> 
> Yes it is a bug.  In compatibility code that was supposed to handle
> mixing old object files that use dot-symbols on function entry with
> newer object files that don't.  Here, "old" means mid 2004 or
> earlier.
> 
> As you can imagine, I'm not hugely concerned about the ld bug..
> 
> Since every binutils back to at least 2.17 has the bug, what changed
> in the kernel to expose it?  Are you building without -mcall-aixdesc?
> 

Yeah, it's my attempt to get powerpc64le compiler to build big endian
with -mabi=elfv2, so I'd have missed -mcall-aixdesc somewhere.

Thanks,
Nick